import dynamix_sdk.base as _base


class CloudapiAccountDeleteResultStr(_base.BaseAPIResultStr):
    pass


class CloudapiAccountDeleteProtocol(_base.BasePostAPIFunctionProtocol):
    def delete(
        self,
        *,
        account_id: int,
        permanently: bool = False,
    ) -> CloudapiAccountDeleteResultStr:
        ...
